pcl::MeshSubdivisionVTK Class Reference

PCL mesh smoothing based on the vtkLinearSubdivisionFilter, vtkLoopSubdivisionFilter, vtkButterflySubdivisionFilter depending on the selected MeshSubdivisionVTKFilterType algorithm from the VTK library. More...

`#include <pcl/surface/vtk_smoothing/vtk_mesh_subdivision.h>`

Inheritance diagram for pcl::MeshSubdivisionVTK:

## Public Types

enum | MeshSubdivisionVTKFilterType { LINEAR, LOOP, BUTTERFLY }
Public Types inherited from pcl::MeshProcessing
typedef boost::shared_ptr< MeshProcessing > | Ptr
typedef boost::shared_ptr< const MeshProcessing > | ConstPtr
typedef PolygonMesh::ConstPtr | PolygonMeshConstPtr

## Public Member Functions

| MeshSubdivisionVTK ()
| Empty constructor. More...
void | setFilterType (MeshSubdivisionVTKFilterType type)
| Set the mesh subdivision filter type. More...
MeshSubdivisionVTKFilterType | getFilterType ()
| Get the mesh subdivision filter type. More...
Public Member Functions inherited from pcl::MeshProcessing
| MeshProcessing ()
| Constructor. More...
virtual | ~MeshProcessing ()
| Destructor. More...
void | setInputMesh (const pcl::PolygonMeshConstPtr &input)
| Set the input mesh that we want to process. More...
pcl::PolygonMeshConstPtr | getInputMesh () const
| Get the input mesh to be processed. More...
void | process (pcl::PolygonMesh &output)
| Process the input surface mesh and store the results. More...

## Protected Member Functions

void | performProcessing (pcl::PolygonMesh &output)
| Abstract surface processing method. More...
Protected Member Functions inherited from pcl::MeshProcessing
virtual bool | initCompute ()
| Initialize computation. More...
virtual void | deinitCompute ()
| UnInitialize computation. More...
virtual std::string | getClassName () const
| Abstract class get name method. More...

## Additional Inherited Members

Protected Attributes inherited from pcl::MeshProcessing
pcl::PolygonMeshConstPtr | input_mesh_
| Input polygonal mesh. More...

## Detailed Description

PCL mesh smoothing based on the vtkLinearSubdivisionFilter, vtkLoopSubdivisionFilter, vtkButterflySubdivisionFilter depending on the selected MeshSubdivisionVTKFilterType algorithm from the VTK library.

Please check out the original documentation for more details on the inner workings of the algorithm Warning: This wrapper does two fairly computationally expensive conversions from the PCL PolygonMesh data structure to the vtkPolyData data structure and back.

Definition at line 53 of file vtk_mesh_subdivision.h.

## Member Enumeration Documentation

## MeshSubdivisionVTKFilterType

enum pcl::MeshSubdivisionVTK::MeshSubdivisionVTKFilterType

Enumerator
LINEAR |
LOOP |
BUTTERFLY |

Definition at line 59 of file vtk_mesh_subdivision.h.

## Constructor & Destructor Documentation

## MeshSubdivisionVTK()

pcl::MeshSubdivisionVTK::MeshSubdivisionVTK | ( |  | ) |

Empty constructor.

## Member Function Documentation

## getFilterType()

MeshSubdivisionVTKFilterType pcl::MeshSubdivisionVTK::getFilterType | ( |  | ) |

inline

Get the mesh subdivision filter type.

Definition at line 73 of file vtk_mesh_subdivision.h.

## performProcessing()

void pcl::MeshSubdivisionVTK::performProcessing | ( | pcl::PolygonMesh & | output | ) |

protected virtual

Abstract surface processing method.

Implements pcl::MeshProcessing.

## setFilterType()

void pcl::MeshSubdivisionVTK::setFilterType | ( | MeshSubdivisionVTKFilterType | type | ) |

inline

Set the mesh subdivision filter type.

Parameters

  [in] | type | the filter type

Definition at line 66 of file vtk_mesh_subdivision.h.

The documentation for this class was generated from the following file:

- /build/pcl-OilVEB/pcl-1.8.1+dfsg1/surface/include/pcl/surface/vtk_smoothing/vtk_mesh_subdivision.h